#
# spec file for package garglk
#
# Copyright (c) 2021 Packman Team <packman@links2linux.de>
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


%define soname  0
Name:           garglk
Version:        2019.1.1
Release:        150400.1.pm.6
Summary:        Cross-platform IO layer for an interactive fiction player
### there's more in subpackages, recheck
License:        GPL-2.0-or-later
Group:          Amusements/Games/Other
URL:            https://code.google.com/p/garglk/
# http://garglk.googlecode.com/files/gargoyle-%%{version}-sources.zip
Source:         https://github.com/garglk/garglk/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        gargoyle.1
Patch0:         garglk-optflags.patch
Patch5:         garglk-fix_multiple_definitions_1.patch
Patch6:         garglk-fix_multiple_definitions_2.patch
BuildRequires:  SDL-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_sound-devel
BuildRequires:  dos2unix
BuildRequires:  ftjam
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  libvorbis-devel
BuildRequires:  zlib-devel
BuildRequires:  libjpeg62-devel

%description
Gargoyle is an IF player that supports all the major interactive fiction formats.
Most interactive fiction is distributed as portable game files.
These portable game files come in many formats.In the past,
you used to have to download a separate player (interpreter) for each format of IF you wanted to play.
Gargoyle is based on the standard interpreters for the formats it supports.
Gargoyle is free software released under the terms of the GNU General Public License.

%prep
%autosetup -p1
dos2unix "licenses/Artistic License 2.0.txt"

%build
BUILD=DEBUG \
CFLAGS="%{optflags}" \
CCFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
OPTFLAGS="%{optflags}" \
_BINDIR="%{_bindir}" \
_LIBDIR="%{_libdir}" \
_APPDIR="%{_libdir}/%{name}" \
jam -d3

%install
BUILD=DEBUG \
CFLAGS="%{optflags}" \
CCFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
OPTFLAGS="%{optflags}" \
_BINDIR="%{_bindir}" \
_LIBDIR="%{_libdir}" \
_APPDIR="%{_libdir}/%{name}" \
DESTDIR=%{buildroot} \
jam -d3 install

install -Dm0644 %{SOURCE1} %{buildroot}/%{_mandir}/man1/gargoyle.1

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license License.txt
%doc licenses/*
%{_bindir}/gargoyle
%{_libdir}/libgarglk.so
%{_libdir}/%{name}
%{_mandir}/man1/gargoyle.1%{?ext_man}

%changelog
* Wed Mar 10 2021 Luigi Baldoni <aloisio@gmx.com>
- Update to version 2019.1.1
  * Bugfix release
  version 2019.1:
  * Updated interpreters
    + Alan3 3.0b6
    + Bocfel 1.0.1
    + Git 1.3.5
    + Glulxe 0.5.4
    + Hugo 3.3.0
    + Jacl 2.9.0
    + Tads2 2.5.17
    + Tads3 3.1.3
  * Improved Gtk implementation
    + Text-to-speech support
    + The built-in fonts support a much wider range of Unicode
    + Full screen support
    + Various accumulated small fixes and updates
- Drop garglk.babel-include.diff and garglk.patch (merged
  upstream)
- Drop garglk.smpeg.patch (no longer necessary)
- Rebase garglk-optflags.patch and enable it
- Add garglk-fix_multiple_definitions_1.patch and
  garglk-fix_multiple_definitions_2.patch
- Add new package ftjam as build requirement to fix the build on
  Tumbleweed
* Fri Feb 26 2016 olaf@aepfle.de
- Update to 2011.1
* Mon Oct 24 2011 pascal.bleser@opensuse.org
- fix dependencies by giving up renaming libgarkgjrtzjirjizej.so to something
  sane (SONAME wise)
* Sun Oct 16 2011 pascal.bleser@opensuse.org
- moved to Packman due to its dependency on smpeg
- rewrote spec file
- added ugly hack to fit a proper SONAME into the library
* Sat Oct 15 2011 boris@steki.net
- initial package creation
